import { objectWithoutProperties as _objectWithoutProperties, extends as _extends } from '../../../../../_virtual/_rollupPluginBabelHelpers.js';
import { jsx } from '@emotion/core';
import React__default from 'react';
import 'prop-types';
import { baseInputCss, getInputSizeCss } from '../../styles/index.esm.js';

var StyledInput = React__default.forwardRef(function InputFieldControl(_ref, ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? "M" : _ref$size,
      props = _objectWithoutProperties(_ref, ["size"]);

  var placeholder = props.placeholder && props.disabled ? "The field is disabled" : props.placeholder;

  var baseCss = function baseCss(theme) {
    return [baseInputCss(theme), getInputSizeCss(size)(theme), {
      width: "auto"
    }];
  };

  return jsx("input", _extends({
    ref: ref,
    css: baseCss
  }, props, {
    placeholder: placeholder
  }));
});
StyledInput.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "StyledInput",
  "props": {
    "size": {
      "defaultValue": {
        "value": "`M`",
        "computed": false
      },
      "required": false
    }
  }
};

if (typeof STORYBOOK_REACT_CLASSES !== "undefined") {
  STORYBOOK_REACT_CLASSES["src/components/form/components/styled-primitives/StyledInput.tsx"] = {
    name: "StyledInput",
    docgenInfo: StyledInput.__docgenInfo,
    path: "src/components/form/components/styled-primitives/StyledInput.tsx"
  };
}

export { StyledInput };
//# sourceMappingURL=StyledInput.esm.js.map
